Package twisted :: Package web :: Package woven :: Module model :: Class AttributeWrapper

[frames | no frames]

## Class AttributeWrapper

    Model --+
            |
      Wrapper --+
                |
               AttributeWrapper

I wrap an attribute named "name" of the given parent object.

Method Summary
| `__init__(self, parent, name)`
Inherited from Wrapper
| ``__repr__`(self)`
| ``dataWillChange`(self)`
Inherited from Model
| ``__getstate__`(self)`
| ``addSubview`(self, name, subview)`
| ``addView`(self, view)` Add a view for the model to keep track of.
| ``getData`(self, request)`
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model.
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain.
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again.
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name.
| ``notify`(self, changed)` Notify all views that something was changed on me.
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of.
| ``setData`(self, request, data)`
| ``setGetter`(self, getter)`
| ``setSetter`(self, setter)`
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model.
| ``submodelCheck`(self, request, name)` Check if a submodel name is allowed.
| ``submodelFactory`(self, request, name)`

Class Variable Summary
Inherited from Wrapper
`NoneType` | `name` = None
`NoneType` | `parent` = None
Inherited from Model
`list` | `allowed_names` = `[]`
`list` | `protected_names` = `['initialize', 'addView', 'addSubview'...`

Generated by Epydoc 2.0 on Sat May 15 20:08:31 2004 | http://epydoc.sf.net